import Vue from 'vue'
import Router from 'vue-router'
import NProgress from 'nprogress' // progress bar
import 'nprogress/nprogress.css' // progress bar style
import { PageIntercept } from '@/router/USER_level'
import routes from '@/router/routes'
import { getToken } from '@/utils/auth'
import store from '../store'
NProgress.configure({ showSpinner: false }) // NProgress Configuration
Vue.use(Router)
const createRouter = () => new Router({
  scrollBehavior: () => ({ y: 0 }),
  routes,
  mode: 'hash'
})
// const whiteList = ['/auth-redirect', '/bind', '/register', '/login', '/forgetPwd']
const router = createRouter()
router.beforeEach((to, from, next) => {
  if (to.meta.animation === false && from.meta.animation === false) {
    to.meta.needAnimation = false
  } else {
    to.meta.needAnimation = true
  }
  if (getToken()) { // 是否有token
    if (store.getters.roles.length === 0) { // 确认登录了有token后判断vuex存储的roles是否还有（预防浏览器刷新后清空vuex存储）
      store.dispatch('GetInfo').then(() => { // 浏览器刷新会清空vuex存储所以从新调用getinfo
        new PageIntercept(to, from, next)[to.meta.USER_LEVEL || 'USER_VISITOR']()
      })
    } else {
      new PageIntercept(to, from, next)[to.meta.USER_LEVEL || 'USER_VISITOR']()
    }
  } else {
    new PageIntercept(to, from, next)[to.meta.USER_LEVEL || 'USER_VISITOR']()
  }
})
router.afterEach(() => {
  // finish progress bar
  NProgress.done()
})
export default router
