import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

/* Layout */
import Layout from '@/layout'

// 用户模式
const USER_LEVEL = {
  USER_VISITOR: 'USER_VISITOR',
  USER_LOGIN: 'USER_LOGIN'
}

// 游客模式 路由集合
const USER_VISITOR_ROUTES = [
  {
    path: '/login',
    name: 'login',
    redirect: '/login/index',
    component: Layout,
    meta: {
      title: '登录',
      USER_LEVEL: USER_LEVEL.USER_VISITOR
    },
    children: [
      {
        path: '/login/index',
        name: 'loginIndex',
        meta: { showFooter: true, showHeader: false, title: '登录', USER_LEVEL: USER_LEVEL.USER_VISITOR },
        component: () => import('@/views/login/login')
      }
    ]
  },
  // {
  //   path: '/searchCenter',
  //   name: 'searchCenter',
  //   redirect: '/searchCenter/index',
  //   component: Layout,
  //   meta: { title: '搜索', USER_LEVEL: USER_LEVEL.USER_VISITOR },
  //   children: [
  //     {
  //       path: '/searchCenter/index',
  //       name: 'searchCenterIndex',
  //       meta: { title: '搜索', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false },
  //       component: () => import('@/views/searchCenter/index')
  //     }
  //   ]
  // },
  {
    path: '/',
    redirect: '/homePage/index',
    name: 'index',
    component: Layout,
    meta: {
      title: '首页',
      USER_LEVEL: USER_LEVEL.USER_VISITOR
    },
    children: [
      {
        path: '/homePage/index',
        name: 'homePage',
        meta: {
          showFooter: true,
          title: '首页',
          USER_LEVEL: USER_LEVEL.USER_VISITOR,
          showHeader: false,
          animation: false
        },
        component: () => import('@/views/homePage/index')
      },
      {
        path: '/PolicyDirect/index',
        name: 'PolicyDirect',
        meta: { title: '政策直达', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/PolicyDirect/index')
      },
      {
        path: '/ServiceShare/index',
        name: 'ServiceShare',
        meta: { title: '服务共享', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/ServiceShare/index')
      },
      {
        path: '/EnterpriseAppeal/index',
        name: 'EnterpriseAppeal',
        meta: { title: '企业诉求', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/EnterpriseAppeal/index')
      },
      {
        path: '/OneClickService/index',
        name: 'OneClickService',
        meta: { title: '一键办事', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/OneClickService/index')
      },
      {
        path: '/activityInformation/index',
        name: 'activityInformation',
        meta: { title: '活动信息', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/activityInformation/index')
      },
      {
        path: '/tool/index',
        name: 'tool',
        meta: { title: '工具', USER_LEVEL: USER_LEVEL.USER_VISITOR, showHeader: false, animation: false },
        component: () => import('@/views/tool/index')
      }
    ]
  }
]
// 其他路由集合
const OTHER_ROUTES = [
  { path: '/404', hidden: true, component: () => import('@/views/404'), meta: { USER_LEVEL: USER_LEVEL.USER_VISITOR }},
  { path: '*', redirect: '/404' }
]

export default USER_VISITOR_ROUTES.concat(OTHER_ROUTES)
